# Kraber Primrose Accelerator

### A visual-only, client-side-only mod for the Kraber.

<br>

> ## **Contact:**
> ### In case of any crashes and/or questions ping me (S2ymi#6601) on the Official Northstar Discord in the #modding-chat channel

# Previews:

- **(NEWEST)** v2.4.0 & v2.3.0 Model + Skin changes:
    - <a href="https://youtu.be/o9NcglplQJE">Scroll-Click me to open the video in a new page!</a>
    - ![image](https://cdn.discordapp.com/attachments/974722927704539166/1095039983313752094/Primrose_purple.png)
- v2.2.0 Impact and Ammo Counter:
    - <a href="https://youtu.be/VLruxwpamPg">Scroll-Click me to open the video in a new page!</a>
- v2.1.1 Gameplay:
    - This mainly showcases the Kill Beam effect
    - <a href="https://youtu.be/3ofaukLnn8c">Scroll-Click me to open the video in a new page!</a>

<hr>

# Changelog:

## v2.4.1:

- Made compatible with NS merged ModSettings

## v2.4.0:

- Added ClientKillCallback v2.0.0 compatibility
- The Primrose Skin is now a part of this mod
    - The neon parts of the skin can be be customised with ModSettings
    - If you wish to use another skin, delete the `paks` folder from the Mod's files
- Added further options for customising the rest of the model

## v2.3.1:

- Added ModSettings v2.0.0+ compatibility

## v2.3.0:

- Added an animated Energy and Fire effect to the barrel, complete with Colour and Intensity options
- Added more options to the Ammo Counter (Colour and Intensity)

## v2.2.0:

- Added a fully custom Ammo Counter
- Reworked the Impact Effects
- Added an optional lasting flare Impact Effect
- Added an optional big shockwave Impact Effect
- Included the blue Scope and Crosshair seen in the preview videos

## v2.1.1:

- Removed the shotgun crosshair which wasn't supposed to be there

## v2.1.0:

- Added an Arc Beam triggered by getting a kill
   - Can be seen in the new preview video
- Reformated Thunderstore description and Icon

## v2.0.0:

- ModSettings Options
- Custom Name and Description
- Lots of Particle and Sound Effects on Reload, Fire, Projectile and Impact
- 2 Firing modes, switchable using `Z`
- Custom RUI elements displaying the current Mode
- Weapon Flyouts on Mode switch
- Changed Ammo Counter
- No interference with Custom Offsets or Crosshairs

#### Versions below 2.0.0 aren't listed here due to not being uploaded by me and only difference being ModSettings support

<hr>

# Settings:
- Indicator (HUD element displaying the current Mode):
    - Base Alpha
    - ADS Alpha
        - Setting both of those to 0 effectively removes the indicator
    - Size
    - Colour
        - Standard RGB, range: 0-1
    - Position
    - Only the x and y values matter; range: 0-1; `0 0 0` is the top left corner, `1 1 0` is the bottom right one
- S/FX:
    - Projectile FX On/Off (Also affects Impact FX)
    - Reload FX On/Off
    - Weapon Flyouts On/Off
    - Impact FX On/Off
    - Shockwave Impact FX On/Off
    - Impact Flare FX On/Off
    - Kill Beam On/Off
        - This spawns an Arc Beam from the player you killed to the end of Kraber's barrel
    - Kill Beam Direction
        - The Beam's thicker near its starting position
- Model (Neon, Fire and Ammo counter have the following settings):
    - **Watch the v2.4.0 preview video to get a better understanding of all of these**
    - Primary Colour
    - Secondary Colour
    - Primary Intensity
    - Secondary Intensity
    - Colour Style
        - "Mode dependent", "Always Blue", "Always Red", "Custom Colour", "RGB Cycle", "Off"
    - Colour Special Effects
        - "None", "Colour Cycle", "Kill Reactive"
        - Secondary Colours are taken into account only with the "Custom Colour" Style, other modes have preset colours for A6K and Baseline firing modes
    - Settings regarding the Special Effects

<hr>