untyped
global function primroseSettings

void function primroseSettings(){
	ModSettings_AddModTitle("S2.Primrose")
	ModSettings_AddModCategory("UI")
	ModSettings_AddSetting("s2_primrose_alpha", "Indicator Alpha", "float")
	ModSettings_AddSetting("s2_primrose_alpha_ads", "Indicator ADS Alpha", "float")
	ModSettings_AddSetting("s2_primrose_size", "Indicator Size", "float")
	ModSettings_AddSetting("s2_primrose_col", "Indicator Colour", "vector")
	ModSettings_AddSetting("s2_primrose_pos", "Indicator Position", "vector")
	ModSettings_AddEnumSetting("s2_primrose_flyout", "Flyouts", ["Off", "On"])
	ModSettings_AddModCategory("FX")
	ModSettings_AddEnumSetting("s2_primrose_fire_fx", "Projectile FX", ["Off", "On"])
	ModSettings_AddEnumSetting("s2_primrose_reload_fx", "Reload FX", ["Off", "On"])
	ModSettings_AddEnumSetting("s2_primrose_impact", "Impact FX", ["Off", "On"])
	ModSettings_AddEnumSetting("s2_primrose_impact_big", "Shockwave Impact FX", ["Off", "On"])
	ModSettings_AddEnumSetting("s2_primrose_impact_flare", "Impact Flare FX", ["Off", "On"])
	ModSettings_AddEnumSetting("s2_primrose_beam", "Kill Beam", ["Off", "On"])
	ModSettings_AddEnumSetting("s2_primrose_beam_direction", "Kill Beam Direction", ["From the Muzzle", "From the Player"])
	ModSettings_AddModCategory("Model Main Settings")
	ModSettings_AddEnumSetting("s2_primrose_model_neon_style", "Neon Style", ["Mode dependent", "Always Blue", "Always Red", "Custom Colour", "RGB Cycle", "Off"])
	ModSettings_AddSetting("s2_primrose_model_neon_int", "Neon Intensity", "float")
	ModSettings_AddSetting("s2_primrose_model_neon_col", "Neon Custom Colour", "vector")
	ModSettings_AddEnumSetting("s2_primrose_model_fire_style", "Barrel Fire/Energy Style", ["Mode dependent", "Always Blue", "Always Red", "Custom Colour", "RGB Cycle", "Off"])
	ModSettings_AddSetting("s2_primrose_model_fire_int", "Barrel Fire Colour Intensity", "float")
	ModSettings_AddSetting("s2_primrose_model_fire_col", "Barrel Fire Custom Colour", "vector")
	ModSettings_AddEnumSetting("s2_primrose_model_ammo_style", "Ammo Counter Style", ["Mode dependent", "Always Blue", "Always Red", "Custom Colour", "RGB Cycle", "Off"])
	ModSettings_AddSetting("s2_primrose_model_ammo_int", "Ammo Counter Colour Intensity", "float")
	ModSettings_AddSetting("s2_primrose_model_ammo_col", "Ammo Counter Custom Colour", "vector")
	ModSettings_AddModCategory("Model Special Effect Settings")
	ModSettings_AddEnumSetting("s2_primrose_special_style", "Special Effects", ["None", "Colour Cycle", "Kill Reactive"])
	ModSettings_AddSetting("s2_primrose_sine_speed", "Colour Cycle Speed", "float")
	ModSettings_AddSetting("s2_primrose_kill_time", "Kill Colour Transition Time", "float")
	ModSettings_AddEnumSetting("s2_primrose_kill_type", "Kill Colour Transition Type", ["Linear", "Quadratic", "Logarithmic"])
	ModSettings_AddSetting("s2_primrose_kill_log_coeff", "Logarithmic Transition Coefficient", "float")
	ModSettings_AddSetting("s2_primrose_kill_fire_colour", "Barrel Fire Custom Colour 2", "vector")
	ModSettings_AddSetting("s2_primrose_kill_fire_colour_int", "Barrel Fire Colour 2 Intensity", "float")
	ModSettings_AddSetting("s2_primrose_kill_ammo_colour", "Ammo Counter Custom Colour 2", "vector")
	ModSettings_AddSetting("s2_primrose_kill_ammo_colour_int", "Ammo Counter Colour 2 Intensity", "float")
	ModSettings_AddSetting("s2_primrose_kill_neon_colour", "Neon Custom Colour 2", "vector")
	ModSettings_AddSetting("s2_primrose_kill_neon_colour_int", "Neon Colour 2 Intensity", "float")
}